import dash
import dash_core_components
import dash_html_components as html

app = dash.Dash(__name__)
app.component_suites = [
    'dash_core_components',
    'dash_html_components'
]

app.layout = html.Div([
    html.Button('Click to load content', id='button'),
    html.Div(id='content')
])


@app.react('content', events=[{'id': 'button', 'event': 'onClick'}])
def layout(*args, **kwargs):
    return {
        'content': html.Div([
            html.H1('Hello Dash')
        ])
    }


if __name__ == '__main__':
    app.server.run(debug=True)
